Skip to content

OpenAPI Spec​

GET
/v1/projects/spec

Get OpenAPI 3.1.0 spec for Project API

Responses​

Returns OpenAPI 3.1.0 spec for Project API

application/json
JSON
{
}

Playground​

Samples​


List Projects​

GET
/v1/projects

List Projects

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
number
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"number": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new Project​

POST
/v1/projects

Create a new Project

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
"number": "string",
"externalId": null
}

Responses​

Project found

application/json
JSON
{
"id": 0,
"number": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a Project​

GET
/v1/projects/{projectId}

Get a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectId*
Type
integer
Required
Format
"int32"

Responses​

Project found

application/json
JSON
{
"id": 0,
"number": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Delete a Project​

DELETE
/v1/projects/{projectId}

Delete a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectId*
Type
integer
Required
Format
"int32"

Responses​

Successfully removed

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a Project​

PATCH
/v1/projects/{projectId}

Update a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectId*
Type
integer
Required
Format
"int32"

Request Body​

application/json
JSON
{
"number": "string",
"externalId": "string"
}

Responses​

Project found

application/json
JSON
{
"id": 0,
"number": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​